dppsu: xdppsu_selftest_example.c File Reference

| dppsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xdppsu_selftest_example.c File Reference

## Overview

Contains a design example using the XDpPsu driver.

It performs a self test on the DisplayPort TX core that will compare many of the DisplayPort TX core's registers against their default reset values.

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   aad  10/17/17 Initial creation.

## Functions
u32 | DpPsu_SelfTestExample (XDpPsu *InstancePtr, u16 DeviceId)
| The main entry point for the selftest example using the XDpPsu driver. More...
int | main (void)
| This function is the main function of the XDpPsu selftest example. More...

## Function Documentation

u32 DpPsu_SelfTestExample | ( | XDpPsu * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

The main entry point for the selftest example using the XDpPsu driver.

This function will check whether or not the DisplayPort TX's registers are at their default reset values to ensure that the core is in a known and working state.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  DeviceId | is the unique device ID of the DisplayPort TX core instance.

Returns
  - XST_SUCCESS if the DisplayPort TX's registers are at their default reset values.
  - XST_FAILURE if the DisplayPort TX's registers do not match their default values or no DisplayPort TX instance was found.

Note
  None.

References XDpPsu_Config::BaseAddr, XDpPsu_CfgInitialize(), XDpPsu_LookupConfig(), and XDpPsu_SelfTest().

Referenced by main().

int main | ( | void |  | ) |

This function is the main function of the XDpPsu selftest example.

Parameters

  None. |

Returns
  - XST_SUCCESS if the self test example passed.
  - XST_FAILURE if the self test example was unsuccessful - the DisplayPort TX's registers do not match their default values or no DisplayPort TX instance was found.

Note
  None.

References DpPsu_SelfTestExample().